View Issue Details

IDProjectCategoryView StatusLast Update
0002367Far ManagerCommand Line/Executepublic2013-07-03 15:17
ReporterPxAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002367: Проблема с запуском программ из папок, являющихся Junction/Symlink
DescriptionОбнаружил, что не могу запустить программы (procmon, procexp) из папки, являющейся символической связью, если в Фаре установлен хотя бы один ANSI-плагин (например - FTP). Сообщение об ошибке совершенно неинформативное
═════════════ Error ═════════════
          Cannot execute
 M:\Soft\Sysinternals\procexp.exe
Если изменить System.Executor.SilentExternal на true получим
═════════════ Error ══════════════
     Параметр задан неверно.
          Cannot execute
 M:\Soft\Sysinternals\procexp.exe
Лог procmon показывает, что после нахождения файла по нужному адресу Far по непонятным причинам уходит в рекурсию, опрашивая несуществующие каталоги. Быстрый тест показал, что проблема воспроизводится даже на билде 2534 (более старых под руками нет), однако раньше данной проблемы я у себя не наблюдал. Возможный виновник - IE 10, потому что если запустить "проблемную" программу через E-Menu с правами администратора, то появляется системное окно
Безопасность Windows
Эти файлы нельзя открыть
Параметры безопасности Интернета не позволили открыть один или несколько файлов
M:\Sysinternals\procexp.exe
Но сброс параметров зон в IE проблему не убрал. Опять же, если ANSI-плагинов нет то проблема не воспроизводится. На всякий случай прикладываю лог проблемного запуска в архиве
TagsNo tags attached.
Build3329

Relationships

related to 0002248 closedDrKnS ANSI плагины не дают запускать приложения из папок являющихся связью 

Activities

Px

2013-04-13 23:06

reporter  

Procmon.7z (51,920 bytes)

DrKnS

2013-04-13 23:13

administrator   bugnote:0010762

> проблема воспроизводится даже на билде 2534

2534 был год назад. На актуальном проверял?

Px

2013-04-13 23:55

reporter   bugnote:0010763

Ммм, не ожидал, что так поймут :)
Проверял на последнем, конечно, думал возможно какое-то изменение в Фар-е виновато, потому проверил и более старые версии вплоть до 2534, разницы нет.

DrKnS

2013-04-14 00:00

administrator   bugnote:0010764

3328.

Px

2013-04-14 10:25

reporter   bugnote:0010766

Увы, ничего не изменилось, лог Procmon прилагаю
По F3 выдаёт
LastError: 0x00000057 - Параметр задан неверно.
NTSTATUS: 0xC000000D - Службе или функции передан неверный параметр.

Px

2013-04-14 10:25

reporter  

Far.7z (53,622 bytes)

2useven10

2013-04-14 11:55

developer   bugnote:0010767

Last edited: 2013-04-14 12:12

View 4 revisions

win7 x64, ie10, FarFtp.
запускаются из линка и procmon и procexp.
Far x64 3327 (до правки).

update: Обновил утилиты, перестали запускаться.

DiRTy_GaRRy

2013-04-14 12:32

developer   bugnote:0010768

У меня на Windows Server 2008 R2 + farftp + ie10 не воспроизводится. Проверял на самых последних утилитах от Sysinterbals.

DiRTy_GaRRy

2013-04-14 12:35

developer   bugnote:0010769

Last edited: 2013-04-14 12:36

View 2 revisions

Вру. Воспроизводится, но только если junction в пределах одного диска, если же сделать junction на папку с другого диска, то всё работает. На работе у меня, к сожалению, только один диск, так что на Windows 8 проверю чуть попозжа.

2useven10

2013-04-14 12:53

developer   bugnote:0010770

Если диски разные, действительно всё работает.

alexy

2013-04-14 12:55

administrator   bugnote:0010771

Так может в MS написать, глюк как я понимаю в утилитах этих, не?

2useven10

2013-04-14 13:00

developer   bugnote:0010772

из cmd и explorer стартуют без проблем.

2useven10

2013-04-14 13:03

developer   bugnote:0010773

far 1.75 - ok, 2.0 1807 - уже нет.

2useven10

2013-04-14 13:09

developer   bugnote:0010774

из far3 'cmd /c procexp.exe' - тоже работает.

2useven10

2013-04-14 13:23

developer   bugnote:0010775

Last edited: 2013-04-14 13:37

View 2 revisions

У меня анси плагины погоды не делают.
Без них точно также из фар эти утилиты в линке не запускаются.

DrKnS

2013-04-14 13:27

administrator   bugnote:0010776

3329.

Привет индусам из MS.

2useven10

2013-04-14 13:43

developer   bugnote:0010778

с приветом работает.

Px

2013-04-15 12:39

reporter   bugnote:0010781

В текущем билде проблемы нет

Issue History

Date Modified Username Field Change
2013-04-13 23:06 Px New Issue
2013-04-13 23:06 Px File Added: Procmon.7z
2013-04-13 23:13 DrKnS Note Added: 0010762
2013-04-13 23:55 Px Note Added: 0010763
2013-04-14 00:00 DrKnS Note Added: 0010764
2013-04-14 00:00 DrKnS Assigned To => DrKnS
2013-04-14 00:00 DrKnS Status new => feedback
2013-04-14 00:01 DrKnS Relationship added related to 0002248
2013-04-14 10:25 Px Note Added: 0010766
2013-04-14 10:25 Px Status feedback => assigned
2013-04-14 10:25 Px File Added: Far.7z
2013-04-14 11:55 2useven10 Note Added: 0010767
2013-04-14 11:56 2useven10 Note Edited: 0010767 View Revisions
2013-04-14 11:57 2useven10 Note Edited: 0010767 View Revisions
2013-04-14 12:12 2useven10 Note Edited: 0010767 View Revisions
2013-04-14 12:32 DiRTy_GaRRy Note Added: 0010768
2013-04-14 12:35 DiRTy_GaRRy Note Added: 0010769
2013-04-14 12:36 DiRTy_GaRRy Note Edited: 0010769 View Revisions
2013-04-14 12:53 2useven10 Note Added: 0010770
2013-04-14 12:55 alexy Note Added: 0010771
2013-04-14 13:00 2useven10 Note Added: 0010772
2013-04-14 13:03 2useven10 Note Added: 0010773
2013-04-14 13:09 2useven10 Note Added: 0010774
2013-04-14 13:23 2useven10 Note Added: 0010775
2013-04-14 13:27 DrKnS Note Added: 0010776
2013-04-14 13:27 DrKnS Status assigned => feedback
2013-04-14 13:37 2useven10 Note Edited: 0010775 View Revisions
2013-04-14 13:43 2useven10 Note Added: 0010778
2013-04-15 12:39 Px Note Added: 0010781
2013-04-15 12:39 Px Status feedback => assigned
2013-04-15 12:39 Px Status assigned => resolved
2013-04-15 15:35 DrKnS Build => 3329
2013-04-15 15:35 DrKnS Status resolved => closed
2013-04-15 15:35 DrKnS Resolution open => fixed
2013-04-15 15:35 DrKnS Fixed in Version => 3.0